• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Different Versions

 
Pat Dennis
Greenhorn
Posts: 12
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
With the new version of Java, 1.5, and with EJB 3.0, and anything else I've missed, if you pass the exams in an older version, do you have to retake the new test? If not, is it worth it to take the new test?

Thanks,

Patrick
 
Nicholas Cheung
Ranch Hand
Posts: 4982
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
If you consider EJB 3.0 with J2SE Tiger, I guess it might take more time for you to wait as the vendors might need some more time to upgrade their containers and implement the new features for both Tiger and EJB 3.0.

As discussed in some other posts, I guess the most earliest time for the exam to come will be in end 2006.

Also, whether it is worth to take depends on what systems you are developing, as you expected that companies will not adopt new technologies too fast due to the stability.

Nick
 
Rudy Harianto
Ranch Hand
Posts: 94
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Nick,

what do you think about SCBCD exam for EJB3? will it required SCJP tiger as a prerequisite? or any SCJP accepted?
 
Nicholas Cheung
Ranch Hand
Posts: 4982
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
what do you think about SCBCD exam for EJB3?

1. It will not be released soon (at least not within 1 year), and thus, if you are considering whether taking EJB 2.0 or EJB 3.0, you could go for EJB 2.0 first (i.e. the current SCBCD version)
2. EJB 3.0 did enhance a lot for EJB overhead, I believe it will be more "developer-friendly", and more easy to develop.

will it required SCJP tiger as a prerequisite? or any SCJP accepted?

No, as SCWCD 1.4 did not require SCJP 1.4. Any versions of SCJP will be accepted.

Nick
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic